2002-10-05 14:40:50

by Andre Costa

[permalink] [raw]
Subject: IDE subsystem issues with 2.4.1[89] [REVISITED]

Hi all,

found this msg on kernel ML archives about 2.4.1[89] having probls with
CD audio ripping:

http://marc.theaimsgroup.com/?l=linux-kernel&m=103364684525654&w=2

The poster (Dexter Filmore) has the very same mobo I have (MSI K7T266
Pro2, Athlon XP) and he's experiencing similar probls to the ones I am
experiencing (in my case, lock ups are temporary, don't know if it is
the same with him). Tried the same kernels here, on RH 7.1, using:

gcc-3.2-1
binutils-2.13-1
modutils-2.4.18-2

I know this is a known issue, and you guys are working on it; I also
know many changes to IDE subsystem have been backported from 2.5.x
series, and 2.4.20pre* already reflect some (all?) of them. I don't want
to rush things, I was just curious to know the current status regarding
these IDE issues.

If you need additional info about my system configuration or log
messages, just let me know and I will be happy to provide it.

TIA,

Andre

--
Andre Oliveira da Costa


2002-10-05 15:45:15

by Alan Cox

[permalink] [raw]
Subject: Re: IDE subsystem issues with 2.4.1[89] [REVISITED]

On Sat, 2002-10-05 at 14:47, Andre Costa wrote:
> I know this is a known issue, and you guys are working on it; I also
> know many changes to IDE subsystem have been backported from 2.5.x
> series, and 2.4.20pre* already reflect some (all?) of them. I don't want
> to rush things, I was just curious to know the current status regarding
> these IDE issues.

2.5 has most but not all of the IDE updates in 2.4-ac. 2.4 vanilla has
basically old IDE code but with some small PCI layer fixes backported
that deal with all the i845G bios mess


2002-10-05 16:11:54

by Andre Costa

[permalink] [raw]
Subject: Re: IDE subsystem issues with 2.4.1[89] [REVISITED]

Hi Alan, thks for replying.

So, this basically means 2.4.20 final will contain all improvements on
the -ac branch plus the critical backports from 2.5.x? Will this be the
cure to all my probls? ;)

Seriously speaking: do you have confirmartion that the IDE updates on
the -ac branch fix the cd audio ripping timeouts? Do you want me to try
it out? <newbie>If so, can I simply apply the 2.4.20-pre8-ac3 on top of
my vanilla 2.4.19 source code or is any other patch required?</newbie>

Again, thks for looking into this.

Best,

Andre

On 05 Oct 2002 16:59:39 +0100
Alan Cox <[email protected]> wrote:

> On Sat, 2002-10-05 at 14:47, Andre Costa wrote:
> > I know this is a known issue, and you guys are working on it; I also
> > know many changes to IDE subsystem have been backported from 2.5.x
> > series, and 2.4.20pre* already reflect some (all?) of them. I don't
> > want to rush things, I was just curious to know the current status
> > regarding these IDE issues.
>
> 2.5 has most but not all of the IDE updates in 2.4-ac. 2.4 vanilla has
> basically old IDE code but with some small PCI layer fixes backported
> that deal with all the i845G bios mess
>
>
> -
> To unsubscribe from this list: send the line "unsubscribe
> linux-kernel" in the body of a message to [email protected]
> More majordomo info at http://vger.kernel.org/majordomo-info.html
> Please read the FAQ at http://www.tux.org/lkml/


--
Andre Oliveira da Costa

2002-10-05 16:33:53

by FD Cami

[permalink] [raw]
Subject: Re: IDE subsystem issues with 2.4.1[89] [REVISITED]

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Andre Costa wrote:
| Hi Alan, thks for replying.
|
| So, this basically means 2.4.20 final will contain all improvements on
| the -ac branch plus the critical backports from 2.5.x? Will this be the
| cure to all my probls? ;)
|
| Seriously speaking: do you have confirmartion that the IDE updates on
| the -ac branch fix the cd audio ripping timeouts? Do you want me to try
| it out? <newbie>If so, can I simply apply the 2.4.20-pre8-ac3 on top of
| my vanilla 2.4.19 source code or is any other patch required?</newbie>

Apply 2.4.20pre8 (found in
ftp://ftp.kernel.org/pub/linux/kernel/v2.4/testing ) on top of
2.4.19 then 2.4.20pre8ac3 (found in
ftp://ftp.kernel.org/pub/linux/kernel/people/alan/linux-2.4/ )

2.4.20pre8ac3 is running here, no problems.

| Again, thks for looking into this.
|
| Best,
|
| Andre
|
| On 05 Oct 2002 16:59:39 +0100
| Alan Cox <[email protected]> wrote:
|
|
|>On Sat, 2002-10-05 at 14:47, Andre Costa wrote:
|>
|>>I know this is a known issue, and you guys are working on it; I also
|>>know many changes to IDE subsystem have been backported from 2.5.x
|>>series, and 2.4.20pre* already reflect some (all?) of them. I don't
|>>want to rush things, I was just curious to know the current status
|>>regarding these IDE issues.
|>
|>2.5 has most but not all of the IDE updates in 2.4-ac. 2.4 vanilla has
|>basically old IDE code but with some small PCI layer fixes backported
|>that deal with all the i845G bios mess


- --

F. CAMI
- ----------------------------------------------------------
~ "To disable the Internet to save EMI and Disney is the
moral equivalent of burning down the library of Alexandria
to ensure the livelihood of monastic scribes."
~ - John Ippolito (Guggenheim)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQE9nxlbuBGY13rZQM8RAtFqAJ90IW/Y033KlWlrqzFKuf7+wnwb9QCfYk50
YanShQveyNVSROpvTgzaFoE=
=c+wj
-----END PGP SIGNATURE-----

2002-10-05 16:35:29

by Alan Cox

[permalink] [raw]
Subject: Re: IDE subsystem issues with 2.4.1[89] [REVISITED]

On Sat, 2002-10-05 at 16:18, Andre Costa wrote:
> Seriously speaking: do you have confirmartion that the IDE updates on
> the -ac branch fix the cd audio ripping timeouts? Do you want me to try
> it out? <newbie>If so, can I simply apply the 2.4.20-pre8-ac3 on top of
> my vanilla 2.4.19 source code or is any other patch required?</newbie>

Depends entirely on your hardware and a lot of other things. Right now
the ide-scsi code in the 2.5/2.4-ac tree still needs some more work
The 2.4 base code ought to be working (ie 2.4.19/2.4.20-pre)

2002-10-05 16:56:57

by Andre Costa

[permalink] [raw]
Subject: Re: IDE subsystem issues with 2.4.1[89] [REVISITED]

Hi FD, thks for joining the party ;)

Thks for the pointers -- now I know how to patch my kernel =)

So, are you effectively able to rip audio tracks with 2.4.20-pre8ac3 or
did you just mean that it is stable (in general)? Do you have the same
mobo I have (or another one also based on VIA VT8233 Southbridge)?

TIA,

Andre

On Sat, 05 Oct 2002 18:54:52 +0200
FD Cami <[email protected]> wrote:

> Apply 2.4.20pre8 (found in
> ftp://ftp.kernel.org/pub/linux/kernel/v2.4/testing ) on top of
> 2.4.19 then 2.4.20pre8ac3 (found in
> ftp://ftp.kernel.org/pub/linux/kernel/people/alan/linux-2.4/ )
>
> 2.4.20pre8ac3 is running here, no problems.

--
Andre Oliveira da Costa

2002-10-05 16:57:59

by Andre Costa

[permalink] [raw]
Subject: Re: IDE subsystem issues with 2.4.1[89] [REVISITED]

Sure, I understand. Thks for the info, maybe I will try 2.4.20-pre to
see what happens. I will post here any results I get (be them good or
bad).

Best,

Andre

On 05 Oct 2002 17:49:50 +0100
Alan Cox <[email protected]> wrote:

> Depends entirely on your hardware and a lot of other things. Right now
> the ide-scsi code in the 2.5/2.4-ac tree still needs some more work
> The 2.4 base code ought to be working (ie 2.4.19/2.4.20-pre)

--
Andre Oliveira da Costa

2002-10-05 17:22:20

by FD Cami

[permalink] [raw]
Subject: Re: IDE subsystem issues with 2.4.1[89] [REVISITED]

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Andre Costa wrote:
| Hi FD, thks for joining the party ;)

no problem ;-)

| Thks for the pointers -- now I know how to patch my kernel =)

good...

| So, are you effectively able to rip audio tracks with 2.4.20-pre8ac3 or
| did you just mean that it is stable (in general)? Do you have the same
| mobo I have (or another one also based on VIA VT8233 Southbridge)?

I rip on SCSI CDROM... I can't rip from the IDE CDROM I've got,
that's weird, i'm going to try with another kernel.

and my mainboard is i815ep-based.
I sold the sole VIA I had...

| TIA,
|
| Andre
|
| On Sat, 05 Oct 2002 18:54:52 +0200
| FD Cami <[email protected]> wrote:
|
|
|>Apply 2.4.20pre8 (found in
|>ftp://ftp.kernel.org/pub/linux/kernel/v2.4/testing ) on top of
|>2.4.19 then 2.4.20pre8ac3 (found in
|>ftp://ftp.kernel.org/pub/linux/kernel/people/alan/linux-2.4/ )
|>
|>2.4.20pre8ac3 is running here, no problems.


- --

F. CAMI
- ----------------------------------------------------------
~ "To disable the Internet to save EMI and Disney is the
moral equivalent of burning down the library of Alexandria
to ensure the livelihood of monastic scribes."
~ - John Ippolito (Guggenheim)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQE9nyS4uBGY13rZQM8RAuiEAJ4mKqjct5x1cN4BDyXj7/qOokS+dgCgijZB
P/0Jlj03eLdvMe+eQvxfbG8=
=PAi9
-----END PGP SIGNATURE-----